libsigc++ 3.6.0

Public Member Functions | Public Attributes | List of all members
sigc::exception_catch_functor< T_functor, T_catcher > Struct Template Reference

`#include <sigc++/adaptors/exception_catch.h>`

Inheritance diagram for sigc::exception_catch_functor< T_functor, T_catcher >:
[legend]

## Public Member Functions
| exception_catch_functor (const T_functor &func, const T_catcher &catcher)
decltype(auto) | operator() ()
template<typename... T_arg>
decltype(auto) | operator() (T_arg... a)
Public Member Functions inherited from sigc::adapts< T_functor >
| adapts (const T_functor &functor)
| Constructs an adaptor that wraps the passed functor.

## Public Attributes
T_catcher | catcher_
Public Attributes inherited from sigc::adapts< T_functor >
adaptor_type | functor_
| Adaptor that is invoked from operator()().

## Constructor & Destructor Documentation

## ◆ exception_catch_functor()

template <typename T_functor , typename T_catcher >

sigc::exception_catch_functor< T_functor, T_catcher >::exception_catch_functor | ( | const T_functor & | func,
|  | const T_catcher & | catcher
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()() [1/2]

template <typename T_functor , typename T_catcher >

decltype(auto) sigc::exception_catch_functor< T_functor, T_catcher >::operator() | ( |  | ) |
| inline

## ◆ operator()() [2/2]

template <typename T_functor , typename T_catcher >
template <typename... T_arg>

decltype(auto) sigc::exception_catch_functor< T_functor, T_catcher >::operator() | ( | T_arg... | a | ) |
| inline

## Member Data Documentation

## ◆ catcher_

template <typename T_functor , typename T_catcher >

T_catcher sigc::exception_catch_functor< T_functor, T_catcher >::catcher_